#include <math.h>
#include <iostream.h>
#include "ReactorFortran.hh"

double U235flux(double enu){
  //
  // from Vogel, Schenter, Mann, Schenter Phys. Rev. C 24 Oct 1981
  //
  int dim = 15;
  float etab[15]={1.0,1.5,2.0,2.5,3.0,3.5,4.0,4.5,5.0,5.5,6.0,6.5,7.0,7.5,8};
  float ftab[15]={2.44,1.73,1.28,0.860,0.580,0.410,0.282,0.184,0.118,0.0720,
		  0.0408,0.0195,0.0104,0.00506,0.00204};

  double sum;
  for(int n=0;n<dim;n++)sum+=ftab[n];

  float ptab[dim];
  for(int n=0;n<dim;n++)ptab[n]=ftab[n]/sum;

  int kpoly = 2;
  float e=enu;

  return  divdif_(ptab,etab,dim,e,kpoly);

}
  
